Bug 105932 - Footnotes should have a space after the number
Summary: Footnotes should have a space after the number
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Footnote-Endnote
  Show dependency treegraph
 
Reported: 2017-02-11 10:32 UTC by Marco A.G.Pinto
Modified: 2017-06-25 13:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
M$ Word 2016 has a space in the footnote (41.88 KB, image/png)
2017-02-13 15:13 UTC, Marco A.G.Pinto
Details
Good and Bad (10.13 KB, image/png)
2017-02-13 18:08 UTC, Marco A.G.Pinto
Details
Here we always get "BAD" (265.72 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-02-13 18:15 UTC, Marco A.G.Pinto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco A.G.Pinto 2017-02-11 10:32:58 UTC
When we create a footnote, the text appears "glued" to the number.

Could someone add a space after the number for better readability?
Comment 1 Buovjaga 2017-02-12 16:17:57 UTC
https://ask.libreoffice.org/en/question/3760/how-do-i-add-spacing-to-between-footnote-number-and-footnote-text/

Please do some searches on the web and ask before reporting.
Comment 2 Marco A.G.Pinto 2017-02-13 15:13:36 UTC
Created attachment 131185 [details]
M$ Word 2016 has a space in the footnote

M$ Word has a space in the footnote.

Also, in LO, without the space, the spellchecker shows the word as a typo.
Comment 3 Buovjaga 2017-02-13 15:16:56 UTC
UX: should we change the default like MS Word does it? Or will there be problems with existing documents?
Comment 4 Heiko Tietze 2017-02-13 16:25:14 UTC
Footnotes have a special style (F11) with a default indentation of 0.6 and -0.6 cm for before and first line. If you change indentation to 0, as your screenshot looks like, there won't be any space. Inserting a special character such as space is not suggested. And we must not copy Microsoft Word where we do better :-) 

WONTFIX
Comment 5 Marco A.G.Pinto 2017-02-13 18:08:52 UTC
Created attachment 131188 [details]
Good and Bad

Before someone gets mad at me, I would like to say that I don't know how but in old tests I would get a footnote "BAD" (see screenshot).

Moments ago I tried a footnote again and got a "GOOD".

I can't really explain it. Maybe I got "BAD" with an older version of LO and forgot to test it in a more recent one?

Also, if one has "GOOD" and presses DELETE (backspace) before the first character of the footnote, it becomes "BAD".

Maybe the trick should be to not allow backspace to move the text to the number?

I am not sure...

Anyway, this is the last time I will annoy you guys with this subject as there are things a lot more important than this.

Thanks!

Kind regards,
Comment 6 Marco A.G.Pinto 2017-02-13 18:15:08 UTC
Created attachment 131189 [details]
Here we always get "BAD"

Buaaaaaaa... this is how I always got "BAD"... :((((((((

If we open a .docx with LO 5.3 and press to create a footnote, it doesn't appear in the footer and it appears glued to the number :((((((((

Just open the .docx and select to insert a footnote.

:(((((((((((

Buaaaaaaa

Can it now be considered a bug?
Comment 7 Cor Nouws 2017-02-13 19:47:24 UTC
(In reply to Marco A.G.Pinto from comment #6)

> Just open the .docx and select to insert a footnote.

This just confirms what Heiko explains. Please look at the footnote paragraph style!
Cheers - Cor
Comment 8 Cor Nouws 2017-02-13 19:49:40 UTC
(In reply to Cor Nouws from comment #7)
> This just confirms what Heiko explains. Please look at the footnote
> paragraph style!

And obviously it's the same in older LibreOffice versions.
Please compare with a footer paragraph style in a new ODT file.
Comment 9 Heiko Tietze 2017-02-13 20:36:14 UTC
(In reply to Marco A.G.Pinto from comment #5)
> Anyway, this is the last time I will annoy you guys with this subject as
> there are things a lot more important than this.

Please don't stop. Would be a pleasure if more of the tickets are that easy to solve. But actually you may encounter a round-trip issue. What happens when a Word document with footnotes is loaded into LibreOffice and saved back again? If Word handles footnotes incorrectly with need to cover this. QA, please double check.
Comment 10 Buovjaga 2017-02-17 14:30:32 UTC
(In reply to Heiko Tietze from comment #9)
> Please don't stop. Would be a pleasure if more of the tickets are that easy
> to solve. But actually you may encounter a round-trip issue. What happens
> when a Word document with footnotes is loaded into LibreOffice and saved
> back again? If Word handles footnotes incorrectly with need to cover this.
> QA, please double check.

I am sad to say LibreOffice makes it so MSO thinks there is a massive space. I will create a bug report.
Comment 11 Buovjaga 2017-02-17 20:18:13 UTC
Let's continue in bug 106062 and people are free to find other example documents - maybe there are other incorrect results.
Closing.